<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="error" styleClass="gzl-alert gzl-alert-red" rendered="#{xuaTestRunner.testCase == null}">
                <h:outputText value="#{messages['net.ihe.gazelle.atna.TheApplicationHasNotBeenAbleToInitializeTheTest']}"/>
            </s:div>
            <s:div id="globalDiv" rendered="#{xuaTestRunner.testCase != null}">
                <h1>#{messages['net.ihe.gazelle.atna.TestInstance']}</h1>
                <gri:panel pid="details">
                    <f:facet name="header">#{messages['net.ihe.gazelle.atna.TestCaseDetails']}</f:facet>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.TestCase']}</ui:define>
                            <g:link value="#{xuaTestRunner.testCase}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.Description']}</ui:define>
                            <h:outputText value="#{xuaTestRunner.testCase.description}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.ExpectedResult']}</ui:define>
                            <h:outputText value="#{xuaTestRunner.testCase.expectedResult}"/>
                        </s:decorate>
                    </dl>
                </gri:panel>
                <gri:panel>
                    <f:facet name="header">#{messages['net.ihe.gazelle.atna.Configuration']}</f:facet>
                    <div class="form-horizontal">
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="endpointIn"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.EndpointToTest']}</ui:define>
                            <h:inputText value="#{xuaTestRunner.testInstance.testedEndpoint}" styleClass="form-control"
                                         id="endpointIn"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                    id="trSelection">
                            <ui:param name="id" value="trInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.questionnaire.Transaction']}</ui:define>
                            <h:selectOneMenu value="#{xuaTestRunner.selectedTransaction}"
                                             styleClass="form-control" id="trInput">
                                <s:selectItems value="#{xuaTestRunner.availableTransactions}"
                                               var="tr" label="#{tr.name}" noSelectionLabel="#{messages['net.ihe.gazelle.atna.PleaseSelect']}"/>
                                <a4j:ajax event="change" render="trSelection"/>
                            </h:selectOneMenu>
                            <h:outputText value="#{xuaTestRunner.testInstance.ancillaryTransaction.description}"
                                          styleClass="help-block"
                                          rendered="#{xuaTestRunner.testInstance.ancillaryTransaction != null}"/>
                        </s:decorate>
                    </div>
                    <f:facet name="footer">
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.audit.message.BackToList']}"
                                           action="#{xuaTestRunner.backToListOfTestCases()}"
                                           styleClass="gzl-btn"/>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.LaunchTest']}"
                                           actionListener="#{xuaTestRunner.execute()}"
                                           styleClass="gzl-btn-blue" render="globalDiv"
                                           rendered="#{not xuaTestRunner.displayResult}"/>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.RunTestAgain']}"
                                           actionListener="#{xuaTestRunner.resetTestInstance()}"
                                           styleClass="gzl-btn-blue" render="globalDiv"
                                           title="#{messages['net.ihe.gazelle.atna.ThisActionWillCreateANewTestInstance']}"
                                           rendered="#{xuaTestRunner.displayResult}"/>
                    </f:facet>
                </gri:panel>
                <s:div id="testResultDiv" rendered="#{xuaTestRunner.displayResult}">
                    <gri:panel pid="permlink">
                        <f:facet name="header">#{messages['net.ihe.gazelle.atna.PermanentLinkToTestInstance']}</f:facet>
                        <g:link value="#{xuaTestRunner.testInstance}"/>
                    </gri:panel>
                    <ui:include src="/xuatesting/common/_tiMessages.xhtml">
                        <ui:param name="requestContent" value="#{xuaTestRunner.getSentMessage()}"/>
                        <ui:param name="responseContent" value="#{xuaTestRunner.getReceivedMessage()}"/>
                        <ui:param name="responseHeaders" value="#{xuaTestRunner.getReceivedHeaders()}"/>
                    </ui:include>
                </s:div>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
